/*
    Bantumi
    Copyright 2005 - 2007 Martin Storsjo

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsjo
    martin@martin.st
*/

#ifndef __CONNECTION_H
#define __CONNECTION_H

#include <stdio.h>

class ReadCallback {
public:
	virtual ~ReadCallback() {};
	virtual void received(const unsigned char *ptr, int n) = 0;
};


class Connection {
public:

	Connection() { cb = NULL; }

	virtual ~Connection() {}

	virtual bool isClient() = 0;
	virtual int ready(const char **errString) = 0;
	virtual bool read(const char **errString) = 0;
	virtual bool write(const unsigned char *ptr, int n, const char **errString) = 0;
	void setCallback(ReadCallback *cb) { this->cb = cb; }

protected:
	ReadCallback *cb;
};

#endif
